curl --request POST \
--url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contractNumber": "<string>",
"frequency": 123,
"idRecorrencia": "<string>",
"payer": {
"account": "<string>",
"cpfCnpj": "<string>",
"ispb": "<string>",
"personType": 123,
"agency": "<string>"
},
"recipient": {
"cnpj": "<string>",
"ispb": "<string>",
"name": "<string>"
},
"startDate": "<string>",
"amount": 123,
"contractDesc": "<string>",
"createdDateTime": "<string>",
"endDate": "<string>",
"expirationDateTime": "<string>",
"floorMaxAmount": 123,
"solicitationDateTime": "<string>"
}
'import requests
url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations"
payload = {
"contractNumber": "<string>",
"frequency": 123,
"idRecorrencia": "<string>",
"payer": {
"account": "<string>",
"cpfCnpj": "<string>",
"ispb": "<string>",
"personType": 123,
"agency": "<string>"
},
"recipient": {
"cnpj": "<string>",
"ispb": "<string>",
"name": "<string>"
},
"startDate": "<string>",
"amount": 123,
"contractDesc": "<string>",
"createdDateTime": "<string>",
"endDate": "<string>",
"expirationDateTime": "<string>",
"floorMaxAmount": 123,
"solicitationDateTime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contractNumber: '<string>',
frequency: 123,
idRecorrencia: '<string>',
payer: {
account: '<string>',
cpfCnpj: '<string>',
ispb: '<string>',
personType: 123,
agency: '<string>'
},
recipient: {cnpj: '<string>', ispb: '<string>', name: '<string>'},
startDate: '<string>',
amount: 123,
contractDesc: '<string>',
createdDateTime: '<string>',
endDate: '<string>',
expirationDateTime: '<string>',
floorMaxAmount: 123,
solicitationDateTime: '<string>'
})
};
fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idRecorrencia": "<string>",
"idReqJdPi": "<string>",
"requestedAt": "<string>",
"status": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Request a Pix Automático authorization
Requests a recurring-payment authorization (recorrencia) as the PSP Recebedor. Persists the authorization in the Requested state and returns the upstream request id.
Authorizations
JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint
using client credentials (clientId and clientSecret).
Include token in Authorization header:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Token expires after 3600 seconds (1 hour).
Body
Contract/order identifier (nrContrato).
tpFrequencia (0=Weekly,1=Monthly,2=Quarterly,3=Semiannual,4=Annual).
Unique recurrence id (29-char, format RR...).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
First payment date (dtInicialRecorrencia; aaaa-mm-dd).
Fixed payment amount in reais (valor; omit/0 for a variable recurrence).
Free-text contract description (descContrato).
Recurrence creation timestamp (dtHrCriacaoRecorrencia, UTC).
Show child attributes
Show child attributes
Last payment date (dtFinalRecorrencia; aaaa-mm-dd).
Solicitation expiration timestamp (dtHrExpiracaoSolicitacao, UTC).
Receiver floor in reais (pisoValorMaximo).
Solicitation creation timestamp (dtHrCriacaoSolicitacao, UTC).
Was this page helpful?

